People & profiles

Create Hris Person

Creates an HRIS employee or contractor with compliance and onboarding records, then sends notification emails and the invite.

POSThttps://api.toku.com/hris/create-hris-person

Not available to API keys yet. It will need people:write.

curl --request POST \
  --url 'https://api.toku.com/hris/create-hris-person' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "givenName": "string",
  "familyName": "string",
  "email": "user@example.com",
  "workEmail": "user@example.com",
  "country": "string",
  "startDate": "string",
  "title": "string",
  "department": "string",
  "probationEndDate": "string",
  "probationClause": "INCLUDE",
  "employmentServiceType": "EOR",
  "jobDescription": "string",
  "baseSalary": "string",
  "baseSalaryPaymentType": "FIAT",
  "baseSalaryCurrency": "TRY",
  "baseSalaryTokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "agreementType": "ONGOING",
  "workSchedule": "FULL_TIME",
  "hoursPerWeek": 0,
  "directorStatus": "Director",
  "dePriorEmployment": {
    "groupEmployment": "YES",
    "agencyPlacement": "YES",
    "agencyPlacementStart": "string",
    "agencyPlacementEnd": "string"
  },
  "leaseSignatory": {
    "name": "string",
    "email": "user@example.com"
  },
  "continuousServiceDate": "string",
  "continuousServiceBasis": "TUPE_TRANSFER",
  "endDate": "string",
  "fixedTermReason": "string",
  "visaSupportNeeded": false,
  "tokenGrantRequested": false,
  "signOnBonusAmount": 0,
  "signOnBonusCurrency": "TRY",
  "employmentAgreementReview": {
    "templateVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "displayHash": "string",
    "suggestions": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "quote": "string",
        "start": 0,
        "replacement": "string",
        "comment": "string",
        "decision": "PENDING",
        "response": "string"
      }
    ]
  },
  "usdSalaryConversion": {
    "usdAmount": "string",
    "rateDate": "string"
  }
}'
200 response
{
  "roleInOrgID": "string",
  "email": "string",
  "fullName": "string",
  "inviteHoldReason": "MISSING_EMPLOYMENT_AGREEMENT",
  "inviteHoldMessage": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

givenNamestringrequired

Allowed: at least 1 characters

familyNamestringrequired

Allowed: at least 1 characters

emailstring<email>required
workEmailstring<email> | any
countrystringrequired

Allowed: at least 1 characters

startDatestring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

titlestringrequired

Allowed: 1 to 200 characters

departmentstring

Allowed: at most 200 characters

probationEndDatestring
probationClausestring

Available options: INCLUDE, REMOVE

employmentTypeanyrequired
employmentServiceTypestringrequired

Available options: EOR, PEO, PAYROLL_ONLY

jobDescriptionstring

Allowed: at most 5000 characters

baseSalarystringrequired
baseSalaryPaymentTypestring

Available options: FIAT, TOKEN

baseSalaryCurrencystring

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB

baseSalaryTokenTypeIDstring<uuid>
agreementTypestringrequired

Available options: ONGOING, FIXED_TERM

Default: "ONGOING"

workSchedulestring

Available options: FULL_TIME, PART_TIME

hoursPerWeeknumber

Allowed: at most 168, greater than 0

directorStatusstring

Available options: Director, Non-Director

dePriorEmploymentobject
Show child attributes
groupEmploymentstringrequired

Available options: YES, NO, NOT_SURE

agencyPlacementstringrequired

Available options: YES, NO, NOT_SURE

agencyPlacementStartstring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

agencyPlacementEndstring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

leaseSignatoryobject
Show child attributes
namestringrequired

Allowed: at least 1 characters

emailstring<email>required
continuousServiceDatestring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

continuousServiceBasisstring

Available options: TUPE_TRANSFER

endDatestring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

fixedTermReasonstring

Allowed: at most 500 characters

visaSupportNeededbooleanrequired

Default: false

tokenGrantRequestedbooleanrequired

Default: false

signOnBonusAmountnumber

Allowed: greater than 0

signOnBonusCurrencystring

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB

employmentAgreementReviewobject
Show child attributes
templateVersionIdstring<uuid>required
displayHashstringrequired

Allowed: matches ^[a-f0-9]{64}$

suggestionsobject[]required

Allowed: 1 to 200 items

Show child attributes
idstring<uuid>required
templateIdstring<uuid>required
quotestringrequired

Allowed: at least 1 characters

startinteger

Allowed: at least 0

replacementstring | nullrequired
commentstringrequired

Allowed: at most 4000 characters

decisionstringrequired

Available options: PENDING, APPROVED, REJECTED

responsestringrequired

Allowed: at most 4000 characters

acceptChangeFeeanyrequired
usdSalaryConversionobject
Show child attributes
usdAmountstringrequired

Allowed: matches ^\d+(?:\.\d{1,2})?$

rateDatestringrequired

Allowed: matches ^\d{4}-\d{2}-01$

Response

200Successful response
roleInOrgIDstringrequired
emailstringrequired
fullNamestringrequired
inviteHoldReasonstring | nullrequired

Available options: MISSING_EMPLOYMENT_AGREEMENT, null

inviteHoldMessagestring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits